var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var __esm = (fn, res) => function __init() {
  return fn && (res = (0, fn[__getOwnPropNames(fn)[0]])(fn = 0)), res;
};
var __commonJS = (cb, mod) => function __require() {
  return mod || (0, cb[__getOwnPropNames(cb)[0]])((mod = { exports: {} }).exports, mod), mod.exports;
};

// utils.ts
import { devices } from "@playwright/test";
function convertSiteToPlaywrightProject(site, device, env = "local") {
  return __spreadProps(__spreadValues({}, site.project), {
    // Give it a concatenated name
    name: `${site.label} - ${env} [${device}]`,
    // Set the device and which URL to use as a base
    use: __spreadValues({
      baseURL: site.envs[env]
    }, devices[device])
  });
}
var defaultDevices;
var init_utils = __esm({
  "utils.ts"() {
    "use strict";
    defaultDevices = ["Desktop Chrome", "iPhone 12"];
  }
});

// index.ts
var require_playwright_framework = __commonJS({
  "index.ts"(exports, module) {
    init_utils();
    module.exports = (sites, inputDevices = defaultDevices) => {
      var _a;
      let projects = [];
      let env = "production";
      for (let site of sites) {
        for (let device of (_a = site.devices) != null ? _a : inputDevices) {
          projects.push(convertSiteToPlaywrightProject(site, device, env));
        }
      }
      return {
        /* Run tests in files in parallel */
        fullyParallel: true,
        /* Fail the build on CI if you accidentally left test.only in the source code. */
        forbidOnly: !!process.env.CI,
        /* Retry on CI only */
        retries: process.env.CI ? 2 : 0,
        /* Opt out of parallel tests on CI. */
        workers: process.env.CI ? 1 : void 0,
        /* Reporter to use. See https://playwright.dev/docs/test-reporters */
        reporter: [
          ["list", { printSteps: true }],
          ["html"]
        ],
        /* Shared settings for all the projects below. See https://playwright.dev/docs/api/class-testoptions. */
        use: {
          /* Base URL to use in actions like `await page.goto('/')`. */
          // baseURL: 'http://127.0.0.1:3000',
          /* Collect trace when retrying the failed test. See https://playwright.dev/docs/trace-viewer */
          trace: "on-first-retry",
          screenshot: "only-on-failure"
        },
        /* Configure projects for major browsers */
        projects
      };
    };
  }
});
export default require_playwright_framework();
//# sourceMappingURL=index.mjs.map