var __async = (__this, __arguments, generator) => {
  return new Promise((resolve, reject) => {
    var fulfilled = (value) => {
      try {
        step(generator.next(value));
      } catch (e) {
        reject(e);
      }
    };
    var rejected = (value) => {
      try {
        step(generator.throw(value));
      } catch (e) {
        reject(e);
      }
    };
    var step = (x) => x.done ? resolve(x.value) : Promise.resolve(x.value).then(fulfilled, rejected);
    step((generator = generator.apply(__this, __arguments)).next());
  });
};

// tests/search.spec.ts
import { expect } from "@playwright/test";
function keSearchReturnsResults(page, searchWords = "", path = "/search/") {
  return __async(this, null, function* () {
    yield page.goto(path);
    yield page.locator("#ke_search_sword").fill(searchWords);
    yield page.getByRole("button", { name: "Find" }).click();
    yield expect(page.locator(".result").first()).toBeVisible();
  });
}
export {
  keSearchReturnsResults
};
//# sourceMappingURL=search.spec.mjs.map