"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.typo3SiteConfigurationLocator = void 0;
var yaml_1 = require("yaml");
var fs_1 = __importDefault(require("fs"));
var glob_1 = require("glob");
function typo3SiteConfigurationLocator() {
    var projects = [];
    var files = (0, glob_1.globSync)('./config/sites/*/config.yaml', {});
    for (var _i = 0, files_1 = files; _i < files_1.length; _i++) {
        var path = files_1[_i];
        var yaml = (0, yaml_1.parse)(fs_1.default.readFileSync(path, 'utf8'));
        var project = {
            label: yaml.websiteTitle,
            envs: {
                production: yaml.base
            },
            project: {
                testDir: "./".concat(path.replace('config', 'app').replace('config.yaml', ''))
            }
        };
        for (var _a = 0, _b = yaml.baseVariants; _a < _b.length; _a++) {
            var variant = _b[_a];
            var matches = variant.condition.match(/"(.*?)"/);
            var env = (matches ? matches[1] : false);
            if (env) {
                env = env.split('/');
                env = env.length > 1 ? env[1] : env[0];
                env = env.toLowerCase();
                project.envs[env] = variant.base;
            }
        }
        projects.push(project);
    }
    return projects;
}
exports.typo3SiteConfigurationLocator = typo3SiteConfigurationLocator;
