"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.convertSiteToPlaywrightProject = exports.defaultDevices = void 0;
var test_1 = require("@playwright/test");
// What default devices should we test on
exports.defaultDevices = ['Desktop Chrome', 'iPhone 12'];
// Convert a Site object to a Playwright Project
function convertSiteToPlaywrightProject(site, device, env) {
    if (env === void 0) { env = 'local'; }
    return __assign(__assign({}, site.project), { 
        // Give it a concatenated name
        name: "".concat(site.label, " - ").concat(env, " [").concat(device, "]"), 
        // Set the device and which URL to use as a base
        use: __assign({ baseURL: site.envs[env] }, test_1.devices[device]) });
}
exports.convertSiteToPlaywrightProject = convertSiteToPlaywrightProject;
